[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragState

Values representing State changes for a drag operation.

## Declaration

Source position: controls.pp line 494

`type TDragState = (`
`dsDragEnter,` |  | Mouse has just entered the control.
`dsDragLeave,` |  | Mouse has just left the control.
`dsDragMove` |  | Mouse is moving over the control.
`);`

## Description

These values are sent in drag messages, allowing the control to perform special actions when the mouse moves over, enters, or leaves the control.

## Version info

Modified in LCL 3.0 to be an alias to TDragState in System.UITypes for FPC 3.2.3 or higher.